注文 · 商品ファイル
この注文の商品ファイルを一覧表示します。APIキーで許可されたカテゴリを選んでください。
GET
/api/v1/orders/{order_id}/filescURLリクエスト
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url 'https://shop.onshopently.com/api/v1/orders/example/files?category=digital' \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
レスポンス
{
"data": {
"files": [
{
"can_download": true,
"category": "digital",
"filename": "manual.pdf",
"id": "example",
"label": "Manual",
"line_id": "example",
"mime_type": "application/pdf",
"product_id": "example",
"purchase_id": "00000000-0000-4000-8000-000000000001",
"reason": "paid",
"sha256": "5cd2f1cb0e5532b397e7ab1887baf6000c49450fd80ae279eb047c06e4545ecd",
"size_bytes": 46,
"source_file_id": "00000000-0000-4000-8000-000000000001",
"source_version_id": "00000000-0000-4000-8000-000000000001",
"source_version_number": 1,
"state": "active"
}
],
"updates_pending": false
},
"meta": {
"pagination": {
"has_more": false,
"limit": 50,
"next_cursor": null
},
"request_id": "example"
}
}
必要な権限
特定のフィールドに必要な追加権限
category=internal: 注文ファイルのダウンロード · 内部ファイルorders.order_file:read_internalcategory=customer_document: 注文ファイルのダウンロード · 購入者向け資料orders.order_file:read_customer_documentcategory=digital: 注文ファイルのダウンロード · デジタル商品orders.order_file:read_digital